Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_06
Class DemoTools

    java.lang.Object
      |
      +--djbuch.kapitel_06.DemoTools

public class DemoTools
extends java.lang.Object

Kleine Kollektion der verschiedensten Hilfsfunktionen. Zum Allgemeingültiger Art, wie z.B. dumpDoc (Document) - Ausgabe eines Domino Document auf die Console oder einen Printwriter - oder printNavigator - Ausgabe eines ViewNavigator -, zum Teil spezifischer Art, als Hilfsmethode für diese Code-Sammlung, wie z.b. startup und cleanup

Author:
  Thomas Ekert

Field Summary
`static java.lang.String` | `ANIMAL_A`
`static boolean` | `RANDOM_INDEX`

Method Summary
`static Document` | `createDoc(Database db, java.lang.String cat, java.lang.String title, Document parent)`
`static Document` | `createDoc(Database db, java.lang.String form, java.lang.String cat, java.lang.String title, Document parent)` Erzeugt ein neues (Test-) Dokument.
`static void` | `dumpDoc(Document doc)` gibt ein Document als Name-Value Paare auf die Console aus.
`static void` | `dumpDoc(Document doc, java.io.PrintWriter out)` Gibt ein Document als Name-Value Paare auf einen PrintWriter aus.
`static boolean` | `exists(java.lang.String fileName)` überprüft, ob unter dem angegebenen pfadnamen "fileName" eine Datei existiert.
`static java.lang.String` | `getRandom(int length)`
`static int` | `getRandomNumber()`
`static int` | `getRandomNumber(int min, int max)` Zufallszahl zwischen min einschließlich und max einschließlich.
`static java.lang.String` | `getRandomString(int i)` generiert einen i-stelligen ZufallsString aus a..z, A..Z, 0..9
`static java.lang.String` | `getServerName(Session mSession)`
`static java.lang.String` | `getServerName(Session mSession, boolean abbreviated)` liefert den Servernamen des tatsächlichen Servers auf dem die Session läuft.
`static boolean` | `isEmpty(java.lang.String s)` Prüft, ob ein String leer ist.
`static boolean` | `makeDir(java.lang.String dirName)` prüft ob ein gegebener dirName ein Directory repräsentiert und erzeugt gegebenenfalls ein solches dir
`static void` | `printNavigator(ViewNavigator nav)` Einfache Ausgabe Routine für ViewNavigator
`static java.lang.String` | `repeatChar(char c, int count)`
`static java.lang.String` | `replaceSubstring(java.lang.String source, java.lang.String from, java.lang.String to)` String Replacement Funktion für JVM <= 1.3.x
`static void` | `startup(Database db, int numberOfDocs)` Erzeugt numberOfDocs * 1,1 neue Dokumente unterschiedlichen Inhalts für Testzwecke
`static int` | `whichPowerOfTen(int number)` Gibt die 10er Potenz von number zurück.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RANDOM_INDEX

    public static final boolean RANDOM_INDEX

See Also:
  Constant Field Values

### ANIMAL_A

    public static final java.lang.String ANIMAL_A

See Also:
  Constant Field Values

Method Detail

### isEmpty

    public static final boolean isEmpty(java.lang.String s)

  Prüft, ob ein String leer ist.

### getServerName

    public static final java.lang.String getServerName(Session mSession)

  Parameters:
    `mSession` -
  Returns:
    - getServerName (mSession, false)
  See Also:
    `(Session, boolean)`

### getServerName

    public static final java.lang.String getServerName(Session mSession,
                                                       boolean abbreviated)

  liefert den Servernamen des tatsächlichen Servers auf dem die Session läuft. Im Gegensatz zu session.getServerName, liefert diese Methode auch den korrekten Servernamen (und nicht ""), auf einer lokalen serverbasierten Session.

  Parameters:
    `mSession` -
    `abbreviated` - - falls true, wird der Name vereinfacht, also ohne das CN= usw. zurückgegeben.
  Returns:
    - den kanonischen oder vereinfachten (abbreviated) Servernamen des Servers, auf den die Session sich bezieht oder "Exception_noServerFound" im Fehlerfall.

### startup

    public static void startup(Database db,
                               int numberOfDocs)
                        throws NotesException

  Erzeugt numberOfDocs * 1,1 neue Dokumente unterschiedlichen Inhalts für Testzwecke

  Parameters:
    `db` -
    `numberOfDocs` -
  Throws:
    `NotesException`

### createDoc

    public static Document createDoc(Database db,
                                     java.lang.String cat,
                                     java.lang.String title,
                                     Document parent)
                              throws NotesException

  Parameters:
    `db` -
    `cat` -
    `title` -
    `parent` -
  Returns:
  Throws:
    `NotesException`
  See Also:
    `(Database, String, String, String, Document)`

### createDoc

    public static Document createDoc(Database db,
                                     java.lang.String form,
                                     java.lang.String cat,
                                     java.lang.String title,
                                     Document parent)
                              throws NotesException

  Erzeugt ein neues (Test-) Dokument. Das Dokument wird durch das Item F_marker_k6=1 markiert, damit es in cleanup wieder gelöcht werden kann.

  Parameters:
    `db` - - Datenbank, in der das Document erstellt werden soll,
    `form` - - Maskenname für dieses Document (item Form)
    `cat` - - Inhalt des Items "F_Category"
    `title` - - Inhalt des Items "F_titel"
    `parent` - - Optionales Mutterdokument (dieses neue Doc wird Antwortdokument). Darf auch null sein.
  Returns:
    - neue Document
  Throws:
    `NotesException`
  See Also:
    `(Database)`

### dumpDoc

    public static final void dumpDoc(Document doc)
                              throws NotesException

  gibt ein Document als Name-Value Paare auf die Console aus.

  Parameters:
    `doc` -
  Throws:
    `NotesException`

### dumpDoc

    public static final void dumpDoc(Document doc,
                                     java.io.PrintWriter out)
                              throws NotesException

  Gibt ein Document als Name-Value Paare auf einen PrintWriter aus.

  Parameters:
    `doc` -
    `out` -
  Throws:
    `NotesException`

### exists

    public static boolean exists(java.lang.String fileName)

  überprüft, ob unter dem angegebenen pfadnamen "fileName" eine Datei existiert.

  Parameters:
    `fileName` -
  Returns:

### makeDir

    public static boolean makeDir(java.lang.String dirName)

  prüft ob ein gegebener dirName ein Directory repräsentiert und erzeugt gegebenenfalls ein solches dir

### whichPowerOfTen

    public static final int whichPowerOfTen(int number)

  Gibt die 10er Potenz von number zurück.

  Parameters:
    `number` -
  Returns:

### repeatChar

    public static final java.lang.String repeatChar(char c,
                                                    int count)

### getRandom

    public static final java.lang.String getRandom(int length)

### getRandomString

    public static java.lang.String getRandomString(int i)

  generiert einen i-stelligen ZufallsString aus a..z, A..Z, 0..9

  Parameters:
    `i` -
  Returns:

### getRandomNumber

    public static int getRandomNumber()

### getRandomNumber

    public static int getRandomNumber(int min,
                                      int max)

  Zufallszahl zwischen min einschließlich und max einschließlich.

  Parameters:
    `min` -
    `max` -
  Returns:

### replaceSubstring

    public static java.lang.String replaceSubstring(java.lang.String source,
                                                    java.lang.String from,
                                                    java.lang.String to)

  String Replacement Funktion für JVM <= 1.3.x

  Parameters:
    `source` -
    `from` -
    `to` -
  Returns:

### printNavigator

    public static final void printNavigator(ViewNavigator nav)

  Einfache Ausgabe Routine für ViewNavigator

  Parameters:
    `nav` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD